[CentOS] Need GLIBCXX-3.4.9 for /usr/lib64/libstdc++

Ralph Angenendt ra+centos at br-online.de
Thu Jun 19 23:28:07 UTC 2008


Scott R. Ehrlich wrote:
> /usr/local/bin/myprog: /usr/lib64/libstdc++: version `GLIBXX.3.4.9' not 
> found (required by /usr/local/bin/myprog)
>
> I have gcc 4.2.3.

Ahemm. 

[angenenr at shutdown ~]$rpm -q gcc
gcc-4.1.2-42.el5.x86_64

> I've performed a yum install compat-* and glibc*
>
> What am I missing?

A sane CentOS setup?

[angenenr at shutdown ~]$strings /usr/lib/libstdc++.so.6.0.8|grep -i
glibcxx
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_FORCE_NEW
[angenenr at shutdown ~]$

So you have a newer gcc and some program requesting a more current
libstdc++.

Does that help?

Ralph
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 194 bytes
Desc: not available
Url : http://lists.centos.org/pipermail/centos/attachments/20080620/9afa0a48/attachment.bin


More information about the CentOS mailing list